Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.functors
Class AllPredicate

    java.lang.Object
      org.apache.commons.collections.functors.AllPredicate

All Implemented Interfaces:
  java.io.Serializable, PredicateDecorator, Predicate

    public final class AllPredicate

extends java.lang.Object
implements Predicate, PredicateDecorator, java.io.Serializable

Predicate implementation that returns true if all the predicates return true. If the array of predicates is empty, then this predicate returns true.

NOTE: In versions prior to 3.2 an array size of zero or one threw an exception.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne, Matt Benson
See Also:
  Serialized Form

Constructor Summary
`AllPredicate(Predicate[] predicates)` Constructor that performs no validation.

Method Summary
`boolean` | `evaluate(java.lang.Object object)` Evaluates the predicate returning true if all predicates return true.
`static Predicate` | `getInstance(java.util.Collection predicates)` Factory to create the predicate.
`static Predicate` | `getInstance(Predicate[] predicates)` Factory to create the predicate.
`Predicate[]` | `getPredicates()` Gets the predicates, do not modify the array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AllPredicate

    public AllPredicate(Predicate[] predicates)

  Constructor that performs no validation. Use `getInstance` if you want that.

  Parameters:
    `predicates` - the predicates to check, not cloned, not null

Method Detail

### getInstance

    public static Predicate getInstance(Predicate[] predicates)

  Factory to create the predicate.

  If the array is size zero, the predicate always returns true. If the array is size one, then that predicate is returned.

  Parameters:
    `predicates` - the predicates to check, cloned, not null
  Returns:
    the `all` predicate
  Throws:
    `java.lang.IllegalArgumentException` - if the predicates array is null
    `java.lang.IllegalArgumentException` - if any predicate in the array is null

### getInstance

    public static Predicate getInstance(java.util.Collection predicates)

  Factory to create the predicate.

  If the collection is size zero, the predicate always returns true. If the collection is size one, then that predicate is returned.

  Parameters:
    `predicates` - the predicates to check, cloned, not null
  Returns:
    the `all` predicate
  Throws:
    `java.lang.IllegalArgumentException` - if the predicates array is null
    `java.lang.IllegalArgumentException` - if any predicate in the array is null

### evaluate

    public boolean evaluate(java.lang.Object object)

  Evaluates the predicate returning true if all predicates return true.

  Specified by:
    `evaluate` in interface `Predicate`
  Parameters:
    `object` - the input object
  Returns:
    true if all decorated predicates return true

### getPredicates

    public Predicate[] getPredicates()

  Gets the predicates, do not modify the array.

  Specified by:
    `getPredicates` in interface `PredicateDecorator`
  Returns:
    the predicates
  Since:
    Commons Collections 3.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.